local M = {}

local industryPrice = {
	["DUMMY"] = {333, 333},							--(Devilhunter) Заглушка, чтобы заводы не из мода не приводили к вылету
	["Chemical plant"] = {350, 400},				-- Химзавод
	["Coal mine"] = {250, 200},						-- Угольная шахта
	["Construction materials plant"] = {500, 200},	-- Завод Строй Материалов
	["Farm"] = {250, 200},							-- Ферма
	["Food processing plant"] = {500, 400},			-- Пищевая фабрика
	["Forest"] = {250, 200},						-- Лесозаготовка
	["Goods factory"] = {500, 300},					-- Производственное предприятие
	["Iron ore mine"] = {250, 200},					-- Железный рудник
	["Machine factory"] = {1000, 400},				-- Машиностроительныц завод
	["Oil refinery"] = {400, 400},					-- Нефтеперерабатывающий завод
	["Oil well"] = {250, 200},						-- Нефтянная скважина
	["Quarry"] = {250, 200},						-- Карьер
	["Saw mill"] = {300, 200},						-- Лесопилка
	["Steel mill"] = {600, 400},					-- Сталелитейный Завод
	-- Индустрия
	["Cotton plantation"] = {300, 200},				-- Хлопковая ферма
	["Dairy farm"] = {300, 200},					-- Молочная ферма
	["Power plant"] = {400, 300},					-- Электростанция
	["Fertilizers factory"] = {250, 200},			-- Завод удобрений
	["Grain silo"] = {300, 200},					-- Зернохранилище
	["Landfill"] = {500, 150},						-- Свалка
	["Textile factory"] = {500, 300},				-- Текстильная фабрика
	-- Коммерция
	["Raceway"] = {700, 300},						-- Гоночная трасса

	
	-- ["Имя завода"] = {стоимость, обслуживание},
	}
	
--Блок для локализации
--RU
industryPrice['Хлопковая ферма'] = industryPrice["Cotton plantation"]
industryPrice['Молочная ферма'] = industryPrice["Dairy farm"]
industryPrice['Электростанция'] = industryPrice["Power plant"]
industryPrice['Завод удобрений'] = industryPrice["Fertilizers factory"]
industryPrice['Зернохранилище'] = industryPrice["Grain silo"]
industryPrice['Свалка'] = industryPrice["Landfill"]
industryPrice['Текстильная фабрика'] = industryPrice["Textile factory"]
industryPrice['Гоночная трасса'] = industryPrice["Raceway"]
--DE
industryPrice['Baumwollplantage'] = industryPrice["Cotton plantation"]
industryPrice['Milchfabrik'] = industryPrice["Dairy farm"]
industryPrice['Kraftwer'] = industryPrice["Power plant"]
industryPrice['Düngemittelfabrik'] = industryPrice["Fertilizers factory"]
industryPrice['Getreidespeicher'] = industryPrice["Grain silo"]
industryPrice['Mülldeponi'] = industryPrice["Landfill"]
industryPrice['Textilfabrik'] = industryPrice["Textile factory"]
industryPrice['Speedwayrennen'] = industryPrice["Raceway"]
--PL
industryPrice['Farma bawełny'] = industryPrice["Cotton plantation"]
industryPrice['Farma mleczna'] = industryPrice["Dairy farm"]
industryPrice['Zakład elektryczny'] = industryPrice["Power plant"]
industryPrice['Zakład rolniczy'] = industryPrice["Fertilizers factory"]
industryPrice['Spichlerz'] = industryPrice["Grain silo"]
industryPrice['Wysypisko'] = industryPrice["Landfill"]
industryPrice['Fabryka odzieży'] = industryPrice["Textile factory"]
industryPrice['żużel'] = industryPrice["Raceway"]

local globalIndustryPriceModifier = 1						-- Модификатор стоимости (1кк)
local globalIndustryRunningModifier = 1000						-- Модификатор обслуживания (1к)

function M.giveRunning(name)
	if industryPrice[name] then
		return industryPrice[name][2] * globalIndustryRunningModifier
	else 
		return industryPrice["DUMMY"][2] * globalIndustryRunningModifier
	end
end

function M.giveCost(name)
	if industryPrice[name] then
		return industryPrice[name][1] * globalIndustryPriceModifier
	else 
		return industryPrice["DUMMY"][1] * globalIndustryPriceModifier
	end
end

function M.giveDesc(name)
	if industryDesc[name] then
		return industryDesc[name]
	else
		return industryDesc["DUMMY"]
	end
end
return M